if LINUX
HIJACKBIN = gnunet-helper-dns
install-exec-hook:
- $(SUDO_BINARY) chown root $(bindir)/gnunet-helper-dns || true
- $(SUDO_BINARY) chgrp $(GNUNETDNS_GROUP) $(bindir)/gnunet-helper-dns || true
- $(SUDO_BINARY) chmod 4750 $(bindir)/gnunet-helper-dns || true
- $(SUDO_BINARY) chown gnunet:$(GNUNETDNS_GROUP) $(bindir)/gnunet-service-dns || true
- $(SUDO_BINARY) chmod 2750 $(bindir)/gnunet-service-dns || true
+ $(top_srcdir)/src/dns/install-dns-helper.sh $(SUDO_BINARY) $(bindir) $(GNUNETDNS_GROUP) || true
else
install-exec-hook:
endif
--- /dev/null
+#!/bin/bash
+# $1 - sudo binary
+# $2 - bindir
+# $3 - gnunetdns group
+$1 chown root $2/gnunet-helper-dns || true
+$1 chgrp $3 $2/gnunet-helper-dns || true
+$1 chmod 4750 $2/gnunet-helper-dns || true
+$1 chown gnunet:$3 $2/gnunet-service-dns || true
+$1 chmod 2750 $2/gnunet-service-dns || true
if LINUX
EXITBIN = gnunet-helper-exit
install-exec-hook:
- $(SUDO_BINARY) chown root:root $(bindir)/gnunet-helper-exit || true
- $(SUDO_BINARY) chmod u+s $(bindir)/gnunet-helper-exit || true
+ $(top_srcdir)/src/exit/install-exit-helper.sh $(SUDO_BINARY) $(bindir) || true
else
install-exec-hook:
endif
--- /dev/null
+#!/bin/bash\r
+# $1 - sudo binary
+# $2 - bindir
+$1 chown root:root $2/gnunet-helper-exit || true
+$1 chmod u+s $2/gnunet-helper-exit || true
libnss_gns6_la_CFLAGS=$(libnss_gns_la_CFLAGS) -DNSS_IPV6_ONLY=1
libnss_gns6_la_LDFLAGS=$(libnss_gns_la_LDFLAGS)
+if !MINGW
install-data-hook:
- $(SUDO_BINARY) $(SHELL) $(top_builddir)/libtool --finish $(nssdir)
- $(SUDO_BINARY) rm -f $(nssdir)/libnss_gns.la $(nssdir)/libnss_gns4.la $(nssdir)/libnss_gns6.la
+ $(top_srcdir)/src/gns/nss/install-nss-plugin.sh $(SUDO_BINARY) $(SHELL) $(top_builddir) $(nssdir)
uninstall-hook:
- $(SUDO_BINARY) rm -f $(nssdir)/libnss_gns.so.2 $(nssdir)/libnss_gns4.so.2 $(nssdir)/libnss_gns6.so.2
+ $(top_srcdir)/src/gns/nss/uninstall-nss-plugin.sh $(SUDO_BINARY) $(nssdir)
+else
+install-data-hook:
+
+uninstall-hook:
+
+endif
--- /dev/null
+#!/bin/bash
+# $1 - sudo binary
+# $2 - shell
+# $3 - top_builddir
+# $4 - nssdir
+$1 $2 $3/libtool --finish $4
+$1 rm -f $4/libnss_gns.la $4/libnss_gns4.la $4/libnss_gns6.la
NATSERVER = gnunet-helper-nat-server.c
NATCLIENT = gnunet-helper-nat-client.c
install-exec-hook:
- $(SUDO_BINARY) chown root:root $(bindir)/gnunet-helper-nat-server $(bindir)/gnunet-helper-nat-client $(nattest) || true
- $(SUDO_BINARY) chmod u+s $(bindir)/gnunet-helper-nat-server $(bindir)/gnunet-helper-nat-client $(nattest) || true
+ $(top_srcdir)/src/nat/install-nat-helper.sh $(SUDO_BINARY) $(bindir) $(nattest) || true
else
install-exec-hook:
endif
--- /dev/null
+#!/bin/bash
+# $1 - sudo binary
+# $2 - bindir
+# $3 - nattest
+$1 chown root:root $2/gnunet-helper-nat-server $2/gnunet-helper-nat-client $3 || true
+$1 chmod u+s $2/gnunet-helper-nat-server $2/gnunet-helper-nat-client $3 || true
if LINUX
install-exec-hook:
- $(SUDO_BINARY) chown root:root $(bindir)/gnunet-helper-transport-wlan || true
- $(SUDO_BINARY) chmod u+s $(bindir)/gnunet-helper-transport-wlan || true
+ $(top_srcdir)/src/transport/install-wlan-helper.sh $(SUDO_BINARY) $(bindir) || true
else
install-exec-hook:
endif
--- /dev/null
+#!/bin/bash
+# $1 - sudo binary
+# $2 - bindir
+$1 chown root:root $2/gnunet-helper-transport-wlan || true
+$1 chmod u+s $2/gnunet-helper-transport-wlan || true
if LINUX
VPNBIN = gnunet-helper-vpn
install-exec-hook:
- $(SUDO_BINARY) chown root:root $(bindir)/gnunet-helper-vpn || true
- $(SUDO_BINARY) chmod u+s $(bindir)/gnunet-helper-vpn || true
+ $(top_srcdir)/src/nat/install-vpn-helper.sh $(SUDO_BINARY) $(bindir) || true
else
install-exec-hook:
endif
--- /dev/null
+#!/bin/bash
+# $1 - sudo binary
+# $2 - bindir
+$1 chown root:root $2/gnunet-helper-vpn || true
+$1 chmod u+s $2/gnunet-helper-vpn || true